{ config, pkgs, ...}:

{
  # Enable the X11 windowing system.
  services.xserver = {
    enable = true;
    layout = "gb";

    libinput = {
      enable = true;
      mouse = {
        accelProfile = "flat";
        accelSpeed = "1";
      };
    };

    displayManager = {
      gdm.enable = true;
    };

    windowManager.i3 = {
      enable = true;
      package = pkgs.i3-gaps;
    };
  };
}

